Description

A string parameter bkgsubtract should be added that specifies the method for background subtraction. Additional parameters may be
added as needed.

Initially, two methods should be supported:

e NONE
e IRF

The first is obvious, and for the second the background template from the IRF should be used for subtraction. This requires adding
also the caldb and irf parameters in case that IRF information is needed (which should not be the case when an observation
definition XML file is used).

History

#1 - 11/24/2016 11:15 AM - Mayer Michael

This would be analogous to creating an excess map, right? This can already be achieved by csresmap, if the user removes the sky models from the
model XML file. The advantage in csresmap is that the background scale factors are also taken into account when subtracting the background. My
alternative proposal would be to add an option to csresmap that ignores the sky models (using option "SUB) and creates an excess map. What do
you think?

#2 - 11/24/2016 11:45 AM - Knédlseder Jirgen

user#77 wrote:
This would be analogous to creating an excess map, right? This can already be achieved by csresmap, if the user removes the sky models from
the model XML file. The advantage in csresmap is that the background scale factors are also taken into account when subtracting the

background. My alternative proposal would be to add an option to csresmap that ignores the sky models (using option "SUB) and creates an
excess map. What do you think?

| agree that there is some overlap, but the difference would be that ctskymap won't take a model, but simply includes methods for background
subtraction (template background, ring background, etc.). In contrast, csresmap will subtract a model.

#3 - 11/24/2016 01:25 PM - Mayer Michael

Ok | think | understand the philosophy. Accordingly, ctskymap should become a tool that allows image analyses, in particular regarding classical
methods.
#4 - 11/24/2016 01:41 PM - Knodlseder Jiirgen

user#77 wrote:

Ok | think | understand the philosophy. Accordingly, ctskymap should become a tool that allows image analyses, in particular regarding classical
methods.

This was indeed my initial intention.

The output of ctskymap could then be used by another tool (or script) that recognizes for example excesses in a sky map and derives an XML model
from that. This XML model would then be injected into ctlike for model fitting, and csresmap would be used to inspect the residuals. One could in
principle also apply the excess finding tool to residual maps to improve the XML model.

#5 - 11/25/2016 03:46 PM - Knodlseder Jiirgen
- Status changed from New to In Progress
- Assigned To set to Knddlseder Jiirgen

- % Done changed from 0 to 80

Merged a first version into devel.

| keep this issue open as actual code only works for observation definition XML files on input. We need to add caldb and irf parameters for the case
that an event list is provided as input. For the moment, an exception is thrown in that case.

#6 - 12/01/2016 12:08 PM - Knodlseder Jiirgen
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Added a caldb and irf parameter to provide response information for IRF background subtraction in case that no response information is available.
Parameters are ignored if no IRF background subtraction is requested, or if response information is already available in the observation definition
XML file.

Code has been merged into devel.

04/25/2024 22


http://www.tcpdf.org

